- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/projects.locations.datasets.conversations/bulkAnalyze#try-it)

Analyzes multiple conversations in a single request.

### HTTP request

`POST https://{endpoint}/v1/{parent=projects/*/locations/*/datasets/*}/conversations:bulkAnalyze`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource to create analyses in. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string, "analysisPercentage": number, "annotatorSelector": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/AnnotatorSelector`) } } ``` |

| Fields ||
|---|---|
| `filter` | `string` Required. Filter used to select the subset of conversations to analyze. |
| `analysisPercentage` | `number` Required. Percentage of selected conversation to analyze, between \[0, 100\]. |
| `annotatorSelector` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1/AnnotatorSelector`)`` To select the annotators to run and the phrase matchers to use (if any). If not specified, all annotators will be run. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedAnalyses.create`
- `contactcenterinsights.datasetAnalyses.create`
- `contactcenterinsights.analyses.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).